%define upstream_name    Dist-Zilla-Plugin-VersionFromPrev
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get the last version via Git tag with C< git tag -l | sort -nr | head -n1 >
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin was written because the author didn't like the time-based
version RJBS likes to use as implemented in the
Dist::Zilla::Plugin::AutoVersion manpage. Instead this plugin supports the
classic CPAN version schema where you start at '0.01' and move towards
'0.99', then increment to '1.00' and keep going from there.

This is how you use the plugin:

    [VersionFromPrev]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE README META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 554186
- update to 0.05

* Wed Apr 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 537577
- update to 0.03

* Mon Mar 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 528828
- import perl-Dist-Zilla-Plugin-VersionFromPrev


* Mon Mar 29 2010 cpan2dist 0.02-1mdv
- initial mdv release, generated with cpan2dist
